src/fvm/fvm_point_location.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions
fvm_point_location.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_defs.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_priv.h"`
`#include "fvm_triangulate.h"`
`#include "fvm_point_location.h"`
Include dependency graph for fvm_point_location.c:

## Macros
#define | HUGE_VAL 1.0e+30
#define | _DOT_PRODUCT(vect1, vect2) (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])
#define | _MODULE(vect) sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])
#define | _CROSS_PRODUCT(prod_vect, vect1, vect2)
#define | _DOT_PRODUCT_2D(vect1, vect2) (vect1[X] * vect2[X] + vect1[Y] * vect2[Y])

## Enumerations
enum | { X, Y, Z }

## Functions
void | fvm_point_location_nodal (const fvm_nodal_t *this_nodal, double tolerance, int locate_on_parents, cs_lnum_t n_points, const cs_coord_t point_coords[], cs_lnum_t location[], float distance[])
void | fvm_point_location_closest_nodal (const fvm_nodal_t *this_nodal, int locate_on_parents, cs_lnum_t n_points, const cs_coord_t point_coords[], cs_lnum_t location[], float distance[])

## Macro Definition Documentation

#define _CROSS_PRODUCT | ( |  | prod_vect,
|  |  | vect1,
|  |  | vect2
| ) |  |

Value:
(prod_vect[X] = vect1[Y] * vect2[Z] - vect2[Y] * vect1[Z], \
prod_vect[Y] = vect2[X] * vect1[Z] - vect1[X] * vect2[Z], \
prod_vect[Z] = vect1[X] * vect2[Y] - vect2[X] * vect1[Y])

#define _DOT_PRODUCT | ( |  | vect1,
|  |  | vect2
| ) |  | (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])

#define _DOT_PRODUCT_2D | ( |  | vect1,
|  |  | vect2
| ) |  | (vect1[X] * vect2[X] + vect1[Y] * vect2[Y])

#define _MODULE | ( |  | vect | ) | sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])

#define HUGE_VAL 1.0e+30

## Enumeration Type Documentation

anonymous enum

Enumerator
X |
Y |
Z |

## Function Documentation

void fvm_point_location_closest_nodal | ( | const fvm_nodal_t * | this_nodal,
|  | int | locate_on_parents,
|  | cs_lnum_t | n_points,
|  | const cs_coord_t | point_coords[],
|  | cs_lnum_t | location[],
|  | float | distance[]
| ) |  |

void fvm_point_location_nodal | ( | const fvm_nodal_t * | this_nodal,
|  | double | tolerance,
|  | int | locate_on_parents,
|  | cs_lnum_t | n_points,
|  | const cs_coord_t | point_coords[],
|  | cs_lnum_t | location[],
|  | float | distance[]
| ) |  |